=== examples/CMakeLists.txt ===
ADD_EXECUTABLE (solv solv.c)
TARGET_LINK_LIBRARIES (solv libsolvext libsolv ${SYSTEM_LIBRARIES})

INSTALL(TARGETS
    solv
    DESTINATION ${BIN_INSTALL_DIR})
