=== debian/changelog ===
libsolv (0.6.5-1+deb8u1) jessie-security; urgency=medium

  * debian/patches:
    + CVE-2019-20387: Add 0001_CVE-2019-20387.patch. Resolves heap-based buffer
      over-read in repodata.c (Closes: #949611).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 18:51:38 +0100

libsolv (0.6.5-1) unstable; urgency=low

  * Initial release. (Closes: #761948).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Sep 2014 17:12:57 +0200
