=== bindings/CMakeLists.txt ===
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")

FIND_PACKAGE (SWIG)

MESSAGE (STATUS "Found SWIG version ${SWIG_VERSION}")
SET (SWIG_INPUT "${CMAKE_CURRENT_SOURCE_DIR}/solv.i")

IF (ENABLE_PYTHON)
    ADD_SUBDIRECTORY (python)
ENDIF (ENABLE_PYTHON)
IF (ENABLE_PERL)
    ADD_SUBDIRECTORY (perl)
ENDIF (ENABLE_PERL)
IF (ENABLE_RUBY)
    ADD_SUBDIRECTORY (ruby)
ENDIF (ENABLE_RUBY)
