=== examples/CMakeLists.txt ===
IF (SUSE OR FEDORA OR DEBIAN)

ADD_EXECUTABLE (solv solv.c)
TARGET_LINK_LIBRARIES (solv libsolvext libsolv ${SYSTEM_LIBRARIES})

INSTALL(TARGETS
    solv
    DESTINATION ${BIN_INSTALL_DIR})

ENDIF (SUSE OR FEDORA OR DEBIAN)
