=== debian/changelog ===
libsolv (0.6.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing python3 interpreter depends for python3-solv by correcting
    python:Depends to be python3:Depends (Closes: #809483)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 31 Dec 2015 02:06:32 -0500

libsolv (0.6.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_configurable-include-dir.patch,
           1003_man-page-spelling-errors.patch.
      Applied in similar way upstream.
    + Update 1002_support-python2+3-bindings-simultaneously.patch.
      Rebase against latest changes in this upstream release.
    + Add +1005_provide-repo-autopattern-for-non-SUSE-builds.patch.
      Provide repo_add_autopattern symbol even when compiled with DEBIAN
      as the default distribution.
    + Add 1006_man-page-spelling-errors.patch. Fix spelling errors in
      libsolv-bindings.3 man page.
  * debian/copyright{,.in}:
    + Update copyright information for new upstream release.
    + Update script-generated copyright file template.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
  * debian/rules:
    + Build with -DDEBIAN=1 instead off -DSUSE=1. This sets
      DEBIAN as the default distribution for libsolv, other
      distributions can be enabled at runtime (because of
      -DMULTI_SEMANTICS=1).
    + Add new build options to get same list of symbols as
      in libsolv 0.6.5: ENABLE_PUBKEY=1, ENABLE_RPMDB=1.
      ENABLE_RPMDB_BYRPMHEADER=1.
  * debian/libsolv-{doc,tools}.install:
    + Install man pages for binaries (section 1) into libsolv-tools
      bin:package, install API documenting man pages (section 3) into
      the libsolv-doc bin:package.
  * debian/*.symbols:
    + Update .symbols files.
  * lintian:
    + Reduce debian/libsolv-tools.lintian-overrides. Latest upstream provides
      man pages for binaries in libsolv-tools.
    + The deprecated script repo2solv does not have a man page (and won't
      get one).
    + Mark man page for usr/bin/solv as missing (reported upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Jun 2015 06:04:24 +0200
