=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Git: git://anonscm.debian.org/collab-maint/libsolv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libsolv.git;a=summary
@@ -182,7 +182,7 @@
 Section: python
 Architecture: any
 Depends:
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
  libsolv0 (= ${binary:Version}),
