=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,12 @@
                          -DINCLUDE="include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                          -DUSE_VENDORDIRS=1 \
                          -DMULTI_SEMANTICS=1 \
-                         -DSUSE=1 \
+                         -DDEBIAN=1 \
+                         -DENABLE_PUBKEY=1 \
                          -DENABLE_SUSEREPO=1 \
                          -DENABLE_RPMMD=1 \
+                         -DENABLE_RPMDB=1 \
+                         -DENABLE_RPMDB_BYRPMHEADER=1 \
                          -DENABLE_HELIXREPO=1 \
                          -DENABLE_DEBIAN=1 \
                          -DENABLE_MDKREPO=1 \
